Read a list of Leads.
Request
GET https://api.comeet.co/leadsFilter by Lead properties
These filters apply to the lead object, representing an individual sourcing process.
-
outreach_status - comma-separated list of outreach statuses. Returns leads that match any of the provided values.
outreach_status=Not%20Contacted,Contacted -
time_first_contacted:after - Return leads for which the time of first contact is AFTER the provided time.
time_first_contacted:after=2024-01-01T00:00:00Z -
time_first_contacted:before - Return leads for which the time of first contact is BEFORE the provided time.
time_first_contacted:before=2024-06-01T00:00:00Z
Response
{
"leads": [
{
"uid": "00.BBB",
"deleted": false,
"position_uid": "11.22",
"first_name": "Jane",
"last_name": "Smith",
"email": "[email protected]",
"outreach_status": "Not Contacted",
"time_created": "2024-06-01T09:00:00Z",
"status": "In progress",
"address": {
"country": "US",
"state": "NY",
"zip": "10001",
"street_address": "45 W 34th St",
"city": "New York"
}
}
//...
],
// URL or null if no more leads available
"next_page": "https://api.comeet.co/leads?next=..."
}